1

I was trying to install TeamViewer v11.0.67687 (deb 32-Bit / 64-Bit Multiarch) then I got all the i386 dependency error message.

Then installed all the packages manually

sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install -f

But there is a package that didn't download called libpng12-0, when I try to install it with

sudo dpkg -i Downloads/teamviewer_11.0.67687_i386.deb

it says

Selecting previously unselected package teamviewer:i386.
(Reading database ... 219696 files and directories currently installed.)
Preparing to unpack .../teamviewer_11.0.67687_i386.deb ...
Unpacking teamviewer:i386 (11.0.67687) ...
dpkg: dependency problems prevent configuration of teamviewer:i386:
 teamviewer:i386 depends on libpng12-0.

dpkg: error processing package teamviewer:i386 (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 teamviewer:i386

So I tried downloading TeamViewer with wget but not working.

wget http://download.teamviewer.com/download/teamviewer_i386.deb

Also tried using apt-get instead of dpkg but neither is working

sudo apt-get install ./teamviewer_i386.deb

Even tried to install that f*** library with gdebi but still not working

sudo gdebi teamviewer_i386.deb

Reading package lists... Done
Building dependency tree        
Reading state information... Done
Reading state information... Done
This package is uninstallable
Dependency is not satisfiable: libpng12-0

Help :'(

0

not sure if this is too late. You need to fix up all the dependency before installing Teamviewer. The following fix my problem:

sudo apt --fix-broken install

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.